## ceph-0.16.1.tar.gz

=== ceph/test/Makefile ===
#
# Makefile for CEPH kernel socket test.
#

obj-$(CONFIG_CEPHTESTS_FS) += ksocktest.o

ksocktest-objs := kernserver.o messenger_mini.o ktcp.o

=== ceph/debian/changelog ===
ceph (0.8-1) unstable; urgency=low

  * mount error reporting
  * fix mds file size/mtime recovery
  * crush fixes
  * mds cap fixes
  * support Linux 2.6.30

 -- sage <sage@newdream.net>  Tue, 19 May 2009 13:57:22 -0800

ceph (0.7.3-1) unstable; urgency=low

  * new caps strategy
  * simplier mds<->client protocol
  * lots of mds cleanups (locking, caps, path_traverse)
  * kclient: dcache readdir
  * kclient: async xattrs
  * fixed lots of memory leaks
  * metadata format version on disk
  * adjustable object replication

 -- sage <sage@newdream.net>  Fri, 1 May 2009 13:57:22 -0800

ceph (0.7.2-1) unstable; urgency=low

  * osd ack+sync handling in kclient
  * rdcap renewal
  * better mon logging
  * mds clustering fixes
  * better tunables on kclient

 -- sage <sage@newdream.net>  Tue, 2 Apr 2009 13:57:22 -0800

ceph (0.7.1-1) unstable; urgency=low

  * O_DIRECT
  * single configuration file
  * lease renewal

 -- sage <sage@newdream.net>  Mon, 16 Mar 2009 13:57:22 -0800

ceph (0.7-1) unstable; urgency=low

  * smart osd sync
  * osd bug fixes	
  * fast truncate
  * improved start/stop scripts
  * new cluster configuration files, framework
  * /proc/fs/ceph -> /sys/fs/ceph on kclient

 -- sage <sage@newdream.net>  Thu, 5 Mar 2009 13:57:22 -0800

ceph (0.6-1) unstable; urgency=low

  * OSD scrub, fixes
  * async metadata ops

 -- sage <sage@newdream.net>  Thu, 1 Jan 2009 13:57:22 -0800

ceph (0.5-1) unstable; urgency=low

  * OSD bug fixes
  * btrfs ioctl interface
  * efficient snap recovery
  * throttled osd recovery
  * forced unmount

 -- sage <sage@newdream.net>  Thu, 13 Nov 2008 13:57:22 -0800

ceph (0.4-1) unstable; urgency=low

  * Snapshots.

 -- sage <sage@newdream.net>  Thu, 9 Oct 2008 13:57:22 -0800

ceph (0.3-1) unstable; urgency=low

  * Initial release (Closes: #506040)

 -- sage <sage@newdream.net>  Mon, 28 Jan 2008 15:09:44 -0800

=== debian/changelog ===
ceph (0.16.1-1) unstable; urgency=low

  * missing buffer.c
  * rgw build problem on i386

 -- sage <sage@newdream.net>  Tue, 06 Oct 2009 10:29:00 -0800

ceph (0.16-1) unstable; urgency=low

  * libceph: identify self
  * hadoop: write to local osd
  * disk format, wire changes
  * use sockaddr_storage throughout
  * kclient: fix msgr bug
  * kclient: uninline strings, use pr_fmt, prefix frag_ macros
  * kclient: lots of inline cleanups
  * kclient: misc akpm review cleanups

 -- sage <sage@newdream.net>  Mon, 05 Oct 2009 14:54:00 -0800

ceph (0.15-1) unstable; urgency=low

  * msgr: clean up protocol checks; ack seq # fix
  * monclient: fixes
  * debian: radosgw package, fix header permissions
  * kclient: checkpatch fixes, cleanups.
  * kclient: msg revoke, clean up interface
  * kclient: GET_DATALOC ioctl
  * kclient: osdc bug fix
  * kclient: clean up debugfs layout

 -- sage <sage@newdream.net>  Tue, 22 Sep 2009 10:15:00 -0800

ceph (0.14-1) unstable; urgency=low

  * mds: dir backpointers updated on rename (for fsck)
  * uclient: many bugs fixed
  * msgr: many messenger protocol changes... much more client-server like
  * mon: subscriptions for osd, mds maps
  * libceph: lots of fixes
  * kclient: cleanups, new msgr.  no msgpools (for now)
  * deb packages fixed up

 -- sage <sage@newdream.net>  Mon, 8 Sep 2009 14:48:00 -0800

ceph (0.13-1) unstable; urgency=low

  * osd: stay active during backlog generation
  * osdmap: override mappings (pg_temp)
  * kclient: some improvements in kmalloc, memory preallocation
  * [ku]lcient: fix sync read vs eof, lseek(..., SEEK_END)
  * mds: misc bugfixes for multiclient file access

 -- sage <sage@newdream.net>  Mon, 24 Aug 2009 10:43:00 -0800

ceph (0.12-1) unstable; urgency=low

  * kclient: mapping_set_error in writepage, layout ioctl, writeback mempools, cap writeback, fsync
  * mds: various clustering fixes
  * uclient: misc fixes
  * msgr: fixed bad fd close (causing spurious EBADF errors)

 -- sage <sage@newdream.net>  Wed, 5 Aug 2009 13:58:00 -0800

ceph (0.11-1) unstable; urgency=low

  * kclient fixes, clean (lkml review)
  * improved encoding of on-wire types
  * mount.ceph now updates /etc/mtab
  * uclient: fix rename() refcount bug

 -- sage <sage@newdream.net>  Tue, 12 Jul 2009 12:36:00 -0800

ceph (0.10-1) unstable; urgency=low

  * uclient fixes
  * libceph
  * mds: trivialmap encoding (efficient dir updates)
  * mds: reconnect fixes
  * osd: recovery, corruption fixes
  * kclient: unaligned access fixes

 -- sage <sage@newdream.net>  Tue, 15 Jul 2009 13:26:00 -0800

ceph (0.9-1) unstable; urgency=low

  * mds exherts memory pressure on clients
  * initial version of librados
  * object classes
  * a few critical crush bugfixes
  * osd recovery fixes
  * objects are strings
  * improved metadata to eventually aid in disaster recovery
  * kclient: fixed snap vs truncate bug
  * kclient: readdir fixes

 -- sage <sage@newdream.net>  Thu, 18 Jun 2009 13:18:00 -0800

=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Maintainer: Sage Weil <sage@newdream.net>
Build-Depends: debhelper (>= 5), autotools-dev, autoconf, automake, g++, gcc, cdbs, libfuse-dev, libboost-dev, libedit-dev, libssl-dev, libtool, libexpat1-dev, libfcgi-dev
Standards-Version: 3.7.2

Package: ceph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libedit2
Recommends: fuse-utils, ceph-fuse, ceph-kclient-source
Description: distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains all server daemons and tools for creating,
 running, and administering a Ceph file system.

Package: ceph-fuse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
Recommends: ceph
Description: FUSE-based client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows you to mount a Ceph file system without
 root privileges.
 .
 Because the FUSE-based client has certain inherent performance
 limitations, it is recommended that the native Linux kernel client
 be used if possible (see ceph-kclient-source).  If it is not
 practical to load a kernel module (insufficient privileges, older
 kernel, etc.), then the FUSE client will do.

Package: ceph-kclient-source
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, make
Description: source for client kernel module for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is the
 Ceph client source package for building the client kernel module.
 .
 This native kernel client is faster and is more robust than the 
 FUSE-based client (ceph-fuse).  However, you need to compile the
 module against your running kernel and will need root privileges
 to load it.

Package: libcrush
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CRUSH mapping algorithm
 CRUSH is a pseudo-random hash-like algorithm for mapping inputs to
 a changing hierarchy of devices.  It was originally designed for use
 in storage clusters, where one wants to minimize movement of objects
 between servers when servers fail or are added to the cluster.

Package: libcrush-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CRUSH mapping algorithm (development files)
 CRUSH is a pseudo-random hash-like algorithm for mapping inputs to
 a changing hierarchy of devices.  It was originally designed for use
 in storage clusters, where one wants to minimize movement of objects
 between servers when servers fail or are added to the cluster.

Package: librados
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrush
Description: RADOS distributed object store client library
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.

Package: librados-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrush, librados
Description: RADOS distributed object store client library (development files)
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.

Package: libceph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrush
Description: Ceph distributed file system client library
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.

Package: libceph-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrush
Description: Ceph distributed file system client library (development files)
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.

Package: radosgw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libexpat1, libcrush, librados
Description: REST gateway for RADOS distributed object store
 RADOS is a distributed object store used by the Ceph distributed
 storage system.  This package provides a REST gateway to the
 object store that aims to implement a superset of Amazon's S3
 service.
 .
 This package contains the proxy daemon and related tools only.
